var initLoading = document.getElementById("initLoader");
initLoading.startProgressing();
var retryTimer,
  spinnerHTML =
    '<div class="ispinner"><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div><div class="ispinner-blade"></div></div>';
function removeSpinner(loadingText) {
  if (loadingText == undefined) {
    loadingText = spinnerHTML;
  }
  document.getElementById("spinner").classList.remove("loaded");
  document.querySelector("#spinner .processing").innerHTML = loadingText;
}
let promptTextArea = document.getElementById("promptText");
let promptLength = document.getElementById("promptLength");
let promptNumbers = document.getElementById("promptNumbers");
let theContain = document.getElementById("theContain");
let premiumCard = document.querySelector(".play-card");
let premiumInfo = document.getElementById("premiumInfo");
let assistImage = document.getElementById("assistImage");
let avatarImage = document.getElementById("avatarImage");
let avatarImage2 = document.getElementById("avatarImage2");
let favListPage = document.getElementById("favListPage");
let settingsPage = document.getElementById("settingsPage");
let promptClear = document.getElementById("promptClear");
let speechButton = document.getElementById("speechButton");
let attachButton = document.getElementById("attachButton");
let fileInput = document.getElementById("fileInput");
let numberOfImages = document.getElementById("numberOfImages");
let numberSlider = document.getElementById("numberSlider");
let cfgSlider = document.getElementById("cfgSlider");
let stepsSlider = document.getElementById("stepsSlider");
let createButton = document.getElementById("createButton");
let applyButton = document.getElementById("applyButton");
let qualitySwitch = document.getElementById("qualitySwitch");
let promptContainer = document.getElementById("promptContainer");
let stylesGrid = document.getElementById("stylesGrid");
let selectedStyle = document.getElementById("selectedStyle");
let selectedModel = document.getElementById("selectedModel");
let premiumModal = document.getElementById("premium-modal");
let errorText = document.getElementById("errorText");
let promptButtons = document.querySelectorAll(".buttons");
let ratioChips = document.querySelectorAll(".ratio");
let randomPromptsParent = document.querySelector(".random-prompt");
let randomPromptsContainer = document.querySelector(".random-prompts");
let premTagButton = document.querySelector(".prem-tag-button");
let modelsContainer = document.querySelector(".model-select-options");
const searchParams = new URLSearchParams(window.location.search);
const avatars = [
  "./anime-aiart-images/Avatar_2.png",
  "./anime-aiart-images/Avatar_3.png",
  "./anime-aiart-images/Avatar_1.png",
];
let prompts = [];
let adsElement = document.querySelector(".ad-icon");
let proButton = document.getElementById("proButton");
let isPremium = false;
let stylesNum = 3;

function chooseRandom(array) {
  return array[Math.floor(Math.random() * array.length)];
}
function chooseRandomWDay(array) {
  const date = new Date();
  const day = date.getDate();
  const month = date.getMonth();
  const year = date.getFullYear();
  const seed = `${year}-${month + 1}-${day}}`;
  const randomIndex = Math.floor(
    parseInt(seed.replace(/\D/g, "")) % array.length
  );

  return array[randomIndex];
}

let activeModal = "";
let premiumModalActive = false;
let selectedStyleEl;
let advanceSettings = {
  hd: true,
  size: "square",
  mode: "modeD",
  prompt: "",
  n: "1",
  cfgScale: 50,
  steps: 50,
  styles: "Shonen",
  appname: "",
};
let modelValues;

let modelModal = document.getElementById("model-modal");
modelModal.addEventListener("click", (event) => {
  const isOutside = !event.target.closest(".model-select-options");
  if (isOutside) {
    closeModal("model");
  }
});

favListPage.addEventListener("click", () =>
  gotoDeeplink("http://riafy.me/fav-list")
);
settingsPage.addEventListener("click", () =>
  gotoDeeplink("http://riafy.me/settings")
);

createButton.addEventListener("click", () => {
  // if (!navigator.onLine) {
  //   gotoDeeplink(
  //     `http://riafy.me/show-toast/${JSON.stringify({
  //       message:
  //         "Your device is not connected to the internet. Please check your internet connection and try again.",
  //     })}`
  //   );
  //   return;
  // }
  if (promptTextArea.value == "") {
    // promptContainer.classList.add("error");
    // promptContainer.classList.add("double-press");
    // setTimeout(() => {
    //   promptContainer.classList.remove("double-press");
    // }, 200);
    promptTextArea.focus();
    return;
  }
  createButton.classList.add("pressed");
  // setTimeout(() => {
  //   gotoResultPage();
  // }, 50);
  localStorage.removeItem("regenlimit");
  gotoDeeplink(
    `http://riafy.me/create/${JSON.stringify({ model: advanceSettings.mode })}`
  );
});

const gotoResultPage = () => {
  advanceSettings.prompt = promptTextArea.value;
  localStorage.setItem("user-preferences", JSON.stringify(advanceSettings));
  window.location.href = `./anime-aiart-result.html?options=${JSON.stringify(
    advanceSettings
  )}${searchParams.has("iOS") ? "&iOS" : ""}${
    searchParams.has("dark") ? "&dark" : ""
  }`;
  //window.location.href = "http://riafy.me/art-result";
};

const setOptions = (data) => {
  ratioChips.forEach((item) => item.classList.remove("active"));
  let val = `[data-aspect='${data.size}']`;
  document.querySelector(val).classList.add("active");
  qualitySwitch.checked = data.hd;
  numberSlider.value = data.n;
  cfgSlider.value = data.cfgScale;
  stepsSlider.value = data.steps;

  let singleStyle = document.querySelector(`[data-type="${data.styles}"]`);
  if (singleStyle) {
    console.log(data.styles);
    document
      .querySelectorAll(".single-style")
      .forEach((element) => element.classList.remove("active"));
    selectedStyle.innerHTML = data.styles;
    selectedStyleEl = singleStyle;
    singleStyle.classList.add("active");
  }

  let model = document.querySelector(`[data-model="${data.mode}"]`);
  if (model) {
    document
      .querySelectorAll(".model-select-options .option")
      .forEach((item) => item.classList.remove("active"));
    model.classList.add("active");
    selectedModel.innerHTML = modelValues[model.dataset.model];

    if (model.dataset.model == "modeD") {
      numberSlider.disabled = true;
      numberOfImages.classList.add("disabled");
    }
  } else {
    let models = document.querySelectorAll(".option");
    models[0].classList.add("active");
    selectedModel.innerHTML = modelValues[models[0].dataset.model];
    advanceSettings.mode = models[0].dataset.model;
    localStorage.setItem("user-preferences", JSON.stringify(advanceSettings));
  }
};
applyButton.addEventListener("click", () => {
  if (isPremium) return applyAdvancedSettings();
  //openPremium();
  gotoDeeplink("http://riafy.me/premium-page");
});
const applyAdvancedSettings = () => {
  applyButton.classList.add("pressed");

  ratioChips.forEach((item) => {
    if (item.className.includes("active")) {
      advanceSettings.size = item.dataset.aspect;
    }
  });
  advanceSettings.hd = qualitySwitch.checked;
  advanceSettings.n = numberSlider.value;
  advanceSettings.cfgScale = cfgSlider.value;
  advanceSettings.steps = stepsSlider.value;

  localStorage.setItem("user-preferences", JSON.stringify(advanceSettings));

  // setTimeout(() => {
  closeModal("advance");
  applyButton.classList.remove("pressed");
  // }, 250);
};

promptTextArea.addEventListener("focus", () => {
  promptContainer.classList.remove("error");
  promptContainer.classList.add("active");
});
promptTextArea.addEventListener("blur", () => {
  promptContainer.classList.remove("active");
});
promptTextArea.addEventListener("input", () => {
  promptLength.innerHTML = promptTextArea.value.length;
  if (promptTextArea.value == "") {
    promptClear.style.display = "none";
    promptNumbers.style.display = "none";
    if (!searchParams.has("iOS")) speechButton.style.display = "flex";
    randomPromptsParent.classList.remove("hides");
  } else {
    promptClear.style.display = "block";
    promptNumbers.style.display = "block";
    if (!searchParams.has("iOS")) speechButton.style.display = "none";
    randomPromptsParent.classList.add("hides");
    console.log(promptTextArea.value.length);
    if (promptTextArea.value.length >= 500) {
      promptNumbers.classList.add("limit");
      promptTextArea.value = promptTextArea.value.substring(0, 500);
    } else {
      promptNumbers.classList.remove("limit");
    }
  }

  // var textareaValue = promptTextArea.value;
  // var sanitizedValue = textareaValue.replace(/[^\w\s]/gi, "");
  // if (textareaValue !== sanitizedValue) {
  //   promptTextArea.value = sanitizedValue;
  // }
});

const feedText = (text) => {
  promptTextArea.value = text;
  promptClear.style.display = "block";
  if (!searchParams.has("iOS")) speechButton.style.display = "none";
};
speechButton.addEventListener("click", () =>
  gotoDeeplink("http://riafy.me/speech")
);
attachButton.addEventListener("click", () => {
  attachButton.classList.add("pressed");
  setTimeout(() => {
    attachButton.classList.remove("pressed");
  }, 200);
  gotoDeeplink("http://riafy.me/image-upload");
});
// fileInput.addEventListener("change", function (event) {
//   const file = event.target.files[0];
//   if (file) {
//     const reader = new FileReader();
//     reader.onload = function (e) {
//       const img = document.getElementById("imagePreview");
//       img.src = e.target.result;
//       img.style.display = "block";
//       attachButton.style.display = "none";
//     };
//     reader.readAsDataURL(file);
//   }
// });
const insertImage = (data) => {
  const img = document.getElementById("imagePreview");
  img.src = data.url;
  img.style.display = "block";
};

promptClear.addEventListener("click", () => {
  promptTextArea.value = "";
  promptLength.innerHTML = 0;
  promptClear.style.display = "none";
  promptNumbers.style.display = "none";
  if (!searchParams.has("iOS")) speechButton.style.display = "flex";
  promptNumbers.classList.remove("limit");
  randomPromptsParent.classList.remove("hides");
});

promptButtons.forEach((button) => {
  button.addEventListener("click", () => openModal(button.dataset.btntype));
});

ratioChips.forEach((chip) => {
  chip.addEventListener("click", () => toggleRatios(chip));
});

const openModal = (modalClass) => {
  activeModal = modalClass;
  let modal = document.getElementById(`${modalClass}-modal`);
  let button = document.querySelector(`[data-btntype="${modalClass}"]`);
  if (button) button.classList.add("pressed");
  modal.classList.add("show");
  if (modalClass == "styles") {
    if (selectedStyleEl)
      selectedStyleEl.scrollIntoView({ behavior: "smooth", block: "center" });
  }
  setTimeout(() => {
    modal.classList.add("appear");
  }, 100);
};
const closeModal = (modalClass) => {
  let modal = document.getElementById(`${modalClass}-modal`);
  let button = document.querySelector(`[data-btntype="${modalClass}"]`);
  if (button) button.classList.remove("pressed");
  modal.classList.remove("appear");

  if (modalClass == "error") localStorage.removeItem("app-error");
  setTimeout(() => {
    modal.classList.remove("show");

    if (modalClass == "advance") setOptions(advanceSettings);
  }, 200);
  activeModal = "";
};

const toggleRatios = (chip) => {
  ratioChips.forEach((item) => item.classList.remove("active"));
  chip.classList.add("active");
};

const renderStylesList = (styles) => {
  styles.forEach((style, index) => {
    let singleStyle = document.createElement("DIV");
    singleStyle.className = "single-style";
    if (index == 0) {
      advanceSettings.styles = style.name;
      selectedStyle.innerHTML = style.name;
      singleStyle.classList.add("active");
      selectedStyleEl = singleStyle;
    }
    singleStyle.dataset.type = style.name;
    let imageContainer = document.createElement("DIV");
    imageContainer.className = "image-container";
    let image = document.createElement("IMG");
    image.src = style.img;
    imageContainer.append(image);

    let titleContainer = document.createElement("DIV");
    titleContainer.className = "title-container";
    let styleName = document.createElement("p");
    styleName.className = "style-name";
    styleName.innerHTML = style.name;
    let styleSelect = document.createElement("div");
    styleSelect.className = "style-select";
    titleContainer.append(styleName, styleSelect);
    let styleSelectImg = document.createElement("img");
    styleSelectImg.src = "./anime-aiart-images/check_small.svg";
    styleSelect.append(styleSelectImg);

    let styleInfo = document.createElement("p");
    styleInfo.className = "style-info";
    styleInfo.innerHTML = style.short_info;

    if (!isPremium && index < stylesNum) {
      singleStyle.addEventListener("click", () => {
        document
          .querySelectorAll(".single-style")
          .forEach((element) => element.classList.remove("active"));
        advanceSettings.styles = style.name;
        selectedStyle.innerHTML = style.name;
        selectedStyleEl = singleStyle;
        singleStyle.classList.add("active");
        localStorage.setItem(
          "user-preferences",
          JSON.stringify(advanceSettings)
        );
        closeModal("styles");
      });
    }
    if (isPremium) {
      singleStyle.addEventListener("click", () => {
        document
          .querySelectorAll(".single-style")
          .forEach((element) => element.classList.remove("active"));
        advanceSettings.styles = style.name;
        selectedStyle.innerHTML = style.name;
        selectedStyleEl = singleStyle;
        singleStyle.classList.add("active");
        localStorage.setItem(
          "user-preferences",
          JSON.stringify(advanceSettings)
        );
        closeModal("styles");
      });
    }
    if (!isPremium && index > stylesNum - 1) {
      styleSelect.classList.add("locked-style");
      styleSelectImg.src = "./anime-aiart-images/lock-circle.svg";
      singleStyle.addEventListener("click", () => {
        gotoDeeplink("http://riafy.me/premium-page");
      });
    }

    singleStyle.append(imageContainer, titleContainer, styleInfo);
    stylesGrid.append(singleStyle);
  });
};

const openPremium = () => {
  premiumModalActive = true;
  premiumModal.classList.add("show");

  setTimeout(() => {
    premiumModal.classList.add("premium-view");
  }, 100);
};
const closePremium = () => {
  premiumModalActive = false;
  premiumModal.classList.remove("premium-view");
  setTimeout(() => {
    premiumModal.classList.remove("show");
  }, 300);
};
premiumModal.addEventListener("click", (event) => {
  const isOutside = !event.target.closest(".play-card");
  if (isOutside) closePremium();
});
const getPremium = () => {
  gotoDeeplink("http://riafy.me/buylifetime");
};

const goBack = () => {
  if (activeModal == "") {
    gotoDeeplink("http://riafy.me/exit-app");
  } else if (premiumModalActive) {
    closePremium();
  } else {
    closeModal(activeModal);
  }
};

function createModels(models) {
  for (let key in models) {
    let modelEl = document.createElement("DIV");
    modelEl.dataset.model = key;
    modelEl.className = "option";
    modelEl.innerHTML = models[key];

    modelEl.addEventListener("click", () => {
      document
        .querySelectorAll(".model-select-options .option")
        .forEach((item) => item.classList.remove("active"));
      modelEl.classList.add("active");
      advanceSettings.mode = key;
      selectedModel.innerHTML = models[key];
      if (modelEl.dataset.model == "modeD") {
        numberSlider.disabled = true;
        numberOfImages.classList.add("disabled");
      } else {
        numberSlider.disabled = false;
        numberOfImages.classList.remove("disabled");
      }
      if (modelEl.dataset.model == "modeC") {
        advanceSettings.n = "2";
        numberSlider.value = "2";
      } else {
        advanceSettings.n = "1";
        numberSlider.value = "1";
      }
      localStorage.setItem("user-preferences", JSON.stringify(advanceSettings));

      closeModal("model");
    });

    modelsContainer.append(modelEl);
  }

  if (!localStorage.getItem("user-preferences")) {
    let model = document.querySelector(
      `[data-model="${advanceSettings.mode}"]`
    );
    model.classList.add("active");
    selectedModel.innerHTML = modelValues[model.dataset.model];
  }
}
function truncateString(str, num) {
  if (str.length <= num) return str;
  return `${str.slice(0, num)}...`;
}
function renderItems(data) {
  let promptsList = shuffle(data.prompts);
  promptsList.forEach((item) => {
    let random = document.createElement("DIV");
    random.className = "random";
    random.innerHTML = truncateString(item, 33);
    randomPromptsContainer.appendChild(random);
    random.addEventListener("click", () => {
      promptTextArea.value = item;
      promptClear.style.display = "block";
      promptNumbers.style.display = "block";
      promptLength.innerHTML = item.length;
      if (!searchParams.has("iOS")) speechButton.style.display = "none";
    });
  });

  //document.querySelector(".prompt-label").innerHTML = data["Enter Prompt"];
  promptTextArea.placeholder = data["placeholder"];
  document.querySelector(".style-text").innerHTML = data["Style"];
  document.querySelector(".dex-text").innerHTML = data["R10 DEX"];
  document.querySelector(".advance-text").innerHTML = data["Advanced"];
  document.querySelector(".optional-text").innerHTML = data["Settings"];
  document.querySelector(".home-head-2").innerHTML = data["AI Anime Art"];
  document.querySelector(".generate-text").innerHTML = data["Generate"];
  document.querySelector(".upload-image").innerHTML = data["Upload Image"]
    ? data["Upload Image"]
    : "Upload Image";
  document.querySelector(".generate-text-2").innerHTML = data["Generate"]
    ? data["Generate"]
    : "Generate";
  document.querySelector(".stunning-text").innerHTML = data["stunning"]
    ? data["stunning"]
    : "stunning";
  document.querySelector(".no-prem").innerHTML = data["Free Tier"]
    ? data["Free Tier"]
    : "Free Tier";
  document.querySelector(".no-prem").innerHTML = data["Free Tier"]
    ? data["Free Tier"]
    : "Free Tier";
  document.querySelector(".premium-text").innerHTML = data["Premium"]
    ? data["Premium"]
    : "Premium";
  document.querySelector(".ideas-text").innerHTML = data["Ideas to try"]
    ? data["Ideas to try"]
    : "Ideas to try";
  //document.querySelector(".generate-text2").innerHTML = data["AI Anime Art"];

  document.querySelector(".styles-heading").innerHTML = data["Choose Style"];
  document.querySelector(".advance-heading").innerHTML =
    data["Advance Settings"];
  document.querySelector(".hd-label").innerHTML = data["Image Quality"];
  document.querySelector(".hd-value").innerHTML = data["High Resolution"];
  document.querySelector(".aspect-label").innerHTML = data["Aspect Ratio"];
  document.querySelector(".square").innerHTML = data["Square"];
  document.querySelector(".portrait").innerHTML = data["Portrait"];
  document.querySelector(".landscape").innerHTML = data["Landscape"];
  document.querySelector(".num-image-label").innerHTML =
    data["Number of images"];
  document.querySelector(".scale-label").innerHTML = data["CFG Scale"];
  document.querySelector(".steps-label").innerHTML = data["Steps"];
  document.querySelector(".more-creative").innerHTML = data["More Creative"];
  document.querySelector(".match-prompt").innerHTML = data["Match Prompt"];
  document.querySelector(".faster-processing").innerHTML =
    data["Faster Processing"];
  document.querySelector(".better-quality").innerHTML = data["Better Quality"];
  document.querySelector(".apply-button").innerHTML = data["Apply Settings"];

  // document.querySelector(".random-prompt").innerHTML = data["surpriseButton"]
  //   ? data["surpriseButton"]
  //   : "Suprise me";
  document.querySelector("#proText").innerHTML = data["Get Premium"]
    ? data["Get Premium"]
    : "Get Premium";

  modelValues = data.models;
  createModels(data.models);
}

const shuffle = (array) => {
  return array.sort(() => Math.random() - 0.5);
};
const surprisePrompt = () => {
  if (prompts.length == 0) return;
  let surpriseText = chooseRandom(prompts);
  promptTextArea.value = surpriseText;
  promptLength.innerHTML = surpriseText.length;
  promptClear.style.display = "block";
  promptNumbers.style.display = "block";
  randomPromptButton.classList.add("hidden");
};

proButton.addEventListener("click", () => {
  if (!isPremium) gotoDeeplink("http://riafy.me/premium-page");
});

const loadPage = async (ads, premium, freshLaunch) => {
  isPremium = premium;
  await callStyles(freshLaunch);
  if (!ads) adsElement.style.display = "none";
  if (premium) {
    premTagButton.querySelector(".is-prem").style.display = "flex";
    adsElement.src = "./anime-aiart-images/magicpen.svg";
    proButton.style.display = "none";
    applyButton.classList.remove("locked");
  } else {
    avatarImage2.style.display = "none";
    premTagButton.querySelector(".no-prem").style.display = "flex";
  }
};

const memoizePromiseFn = (fn) => {
  const cache = new Map();

  return (...args) => {
    const key = JSON.stringify(args);

    if (cache.has(key)) {
      return cache.get(key);
    }

    cache.set(
      key,
      fn(...args).catch((error) => {
        // Delete cache entry if API call fails
        cache.delete(key);
        return Promise.reject(error);
      })
    );

    return cache.get(key);
  };
};
function callFinal() {
  removeSpinner("Loading...");
  theContain.classList.add("fadein");
}
function fetchStyles() {
  return fetch(
    //`https://forking.riafy.in/anime-art-v2.php?lang=${searchParams.get("lang")}`,
    `https://forking.riafy.in/anime-art-v2.php?lang=${searchParams.get(
      "lang"
    )}&appname=${searchParams.get("appname")}`,
    {
      method: "GET",
      mode: "cors",
    }
  )
    .then((response) => response.json())
    .then((json) => json);
}
async function callStyles(freshLaunch) {
  let response;
  if (freshLaunch) {
    response = await fetchStyles();
    localStorage.setItem("jsondata", JSON.stringify(response));
  } else {
    response = JSON.parse(localStorage.getItem("jsondata"));
  }

  await renderItems(response);
  await renderStylesList(response.styles);

  //avatarImage2.addEventListener("load", callFinal);

  if (window.innerWidth > 720) {
    avatarImage2.style.width = `432px`;
  } else {
    avatarImage2.style.width = `${window.innerWidth * 0.6}px`;
  }
  if (window.innerWidth > window.innerHeight) {
    avatarImage2.style.width = `315px`;
  }

  if (response.avatarImages.length != 0) {
    avatarImage.src = chooseRandomWDay(response.avatarImages);
    avatarImage2.src = chooseRandomWDay(response.avatarImages);
    assistImage.src = chooseRandomWDay(response.avatarImages);
  } else {
    avatarImage.style.display = "none";
    avatarImage2.style.display = "none";
    proButton.style.justifyContent = "center";
  }
  premiumInfo.innerHTML = chooseRandomWDay(response.premiumTexts);
  //premiumInfo.innerHTML = "Zwiększ swoją kreatywność dzięki dożywotniemu dostępowi do generowania obrazu HD.";
  if (response.prompts) prompts = shuffle(response.prompts);

  if (!localStorage.getItem("user-preferences")) {
    if (response.currentMode) {
      advanceSettings.mode = response.currentMode;
      if (response.currentMode == "modeD") {
        numberSlider.disabled = true;
        numberOfImages.classList.add("disabled");
      }
    } else {
      if (advanceSettings.mode == "modeD") {
        numberSlider.disabled = true;
        numberOfImages.classList.add("disabled");
      }
    }
    setOptions(advanceSettings);
  } else {
    advanceSettings = JSON.parse(localStorage.getItem("user-preferences"));
    setOptions(advanceSettings);
  }

  if (freshLaunch) {
    openModal("styles");
    setTimeout(() => {
      callFinal();
    }, 400);
  } else {
    callFinal();
  }
}

function checkAppType(app) {
  if (
    app == "ai.wallpaper.generator.art" ||
    app == "ai.aesthetic.wallpaper.backgrounds" ||
    app == "ai.wallpapers.girly.backgrounds" ||
    app == "ai.nature.photo.wallpaper"
  ) {
    advanceSettings.size = "portrait";
    theContain.classList.add("wallpaper");
    premiumCard.classList.add("wallpaper");
    numberOfImages.style.display = "none";
    document.querySelector(".aspect-field-contain").style.display = "none";
    setWallTheme();
  }
}
function locker(app) {
  if (app == "ai.avatar.generator.maker") {
    el1 = document.querySelector('[data-aspect="portrait"]');
    el1.classList.add("disable-element");
    advanceSettings.size = "square";
  }
}
document.addEventListener("DOMContentLoaded", async () => {
  promptLength.innerHTML = 0;
  if (searchParams.has("imageUpload")) attachButton.style.display = "flex";
  if (searchParams.has("stylesnum")) stylesNum = searchParams.get("stylesnum");
  if (searchParams.has("iOS")) speechButton.style.display = "none";
  if (searchParams.has("appname")) {
    checkAppType(searchParams.get("appname"));
    selColorTheme(searchParams.get("appname"));
    advanceSettings.appname = searchParams.get("appname");
  }
  if (searchParams.has("dark")) setTheme();
  if (localStorage.getItem("app-error")) {
    errorText.innerHTML = localStorage.getItem("app-error");
    openModal("error");
  }
  // await renderItems(jsonData);
  // await renderStylesList(jsonData.styles);
  gotoDeeplink("http://riafy.me/load-home");
  // loadPage(true, false, true);

  //openPremium();
  //gotoResultPage()
});
