const languages = {
  en: {
    "Unlock All Features with Pro": "Unlock All Features with Pro",
    "Billed Once": "Billed Once",
    descriptionP1: "You'll be charged",
    descriptionP2:
      "per month unless cancelled. This subscription is Auto-Renewable",
    descriptionP3:
      "every 6 months unless you cancel. This subscription will automatically renew every 6 months",
    Unlock: "Unlock",
    pro: "pro",
    for: "for",
    per: "per",
    Save: "Save",
    Terms: "Terms",
    "Privacy Policy": "Privacy Policy",
  },
  fr: {
    "Unlock All Features with Pro":
      "D\u00e9bloquez toutes les fonctionnalit\u00e9s avec Pro",
    "Billed Once": "Factur\u00e9 une seule fois",
    descriptionP1: "Vous serez factur\u00e9",
    descriptionP2:
      "par mois sauf annulation. Cet abonnement est auto-renouvelable",
    descriptionP3:
      "tous les 6 mois sauf si vous annulez. Cet abonnement sera automatiquement renouvel\u00e9 tous les 6 mois",
    Unlock: "Ouvrir",
    pro: "pro",
    for: "pour",
    per: "par",
    Save: "Sauvegarder",
    Terms: "Termes",
    "Privacy Policy": "politique de confidentialit\u00e9",
  },
  da: {
    "Unlock All Features with Pro": "L\u00e5s op for alle funktioner med Pro",
    "Billed Once": "Faktureret \u00e9n gang",
    descriptionP1: "Du vil blive debiteret",
    descriptionP2:
      "om m\u00e5neden, medmindre det aflyses. Dette abonnement kan fornyes automatisk",
    descriptionP3:
      "hver 6. m\u00e5ned, medmindre du melder afbud. Dette abonnement fornyes automatisk hver 6. m\u00e5ned",
    Unlock: "L\u00e5s op",
    pro: "pro",
    for: "til",
    per: "om",
    Save: "Gemme",
    Terms: "Betingelser",
    "Privacy Policy": "Fortrolighedspolitik",
  },
  pl: {
    "Unlock All Features with Pro": "Odblokuj wszystkie funkcje z Pro",
    "Billed Once": "Rozliczone raz",
    descriptionP1: "Zostaniesz obci\u0105\u017cony op\u0142at\u0105",
    descriptionP2:
      "miesi\u0119cznie, chyba \u017ce zostanie anulowane. Ta subskrypcja jest automatycznie odnawialna",
    descriptionP3:
      "co 6 miesi\u0119cy, chyba \u017ce zrezygnujesz. Ta subskrypcja b\u0119dzie automatycznie odnawiana co 6 miesi\u0119cy",
    Unlock: "Odblokowa\u0107",
    pro: "zawodowiec",
    for: "Do",
    per: "za",
    Save: "Ratowa\u0107",
    Terms: "Warunki",
    "Privacy Policy": "Polityka prywatno\u015bci",
  },
  ar: {
    "Unlock All Features with Pro":
      "\u0627\u0641\u062a\u062d \u062c\u0645\u064a\u0639 \u0627\u0644\u0645\u064a\u0632\u0627\u062a \u0645\u0639 Pro",
    "Billed Once":
      "\u0641\u0627\u062a\u0648\u0631\u0629 \u0645\u0631\u0629 \u0648\u0627\u062d\u062f\u0629",
    descriptionP1:
      "\u0633\u064a\u062a\u0645 \u0645\u062d\u0627\u0633\u0628\u062a\u0643",
    descriptionP2:
      "\u0634\u0647\u0631\u064a\u0627 \u0645\u0627 \u0644\u0645 \u064a\u062a\u0645 \u0625\u0644\u063a\u0627\u0624\u0647\u0627. \u0647\u0630\u0627 \u0627\u0644\u0627\u0634\u062a\u0631\u0627\u0643 \u0642\u0627\u0628\u0644 \u0644\u0644\u062a\u062c\u062f\u064a\u062f \u0627\u0644\u062a\u0644\u0642\u0627\u0626\u064a",
    descriptionP3:
      "\u0643\u0644 6 \u0623\u0634\u0647\u0631 \u0625\u0644\u0627 \u0625\u0630\u0627 \u0642\u0645\u062a \u0628\u0627\u0644\u0625\u0644\u063a\u0627\u0621. \u0633\u064a\u062a\u0645 \u062a\u062c\u062f\u064a\u062f \u0647\u0630\u0627 \u0627\u0644\u0627\u0634\u062a\u0631\u0627\u0643 \u062a\u0644\u0642\u0627\u0626\u064a\u064b\u0627 \u0643\u0644 6 \u0623\u0634\u0647\u0631",
    Unlock: "\u0627\u0644\u063a\u0627\u0621 \u0627\u0644\u0642\u0641\u0644",
    pro: "\u0637\u0644\u064a\u0639\u0629",
    for: "\u0644",
    per: "\u0644\u0643\u0644",
    Save: "\u064a\u062d\u0641\u0638",
    Terms: "\u0634\u0631\u0648\u0637",
    "Privacy Policy":
      "\u0633\u064a\u0627\u0633\u0629 \u0627\u0644\u062e\u0635\u0648\u0635\u064a\u0629",
  },
  pt: {
    "Unlock All Features with Pro": "Desbloqueie todos os recursos com Pro",
    "Billed Once": "Faturado uma vez",
    descriptionP1: "Voc\u00ea ser\u00e1 cobrado",
    descriptionP2:
      "por m\u00eas, a menos que seja cancelado. Esta assinatura \u00e9 auto-renov\u00e1vel",
    descriptionP3:
      "a cada 6 meses, a menos que voc\u00ea cancele. Esta assinatura ser\u00e1 renovada automaticamente a cada 6 meses",
    Unlock: "Desbloquear",
    pro: "pr\u00f3",
    for: "para",
    per: "por",
    Save: "Salvar",
    Terms: "Termos",
    "Privacy Policy": "pol\u00edtica de Privacidade",
  },
  es: {
    "Unlock All Features with Pro": "Desbloquea todas las funciones con Pro",
    "Billed Once": "Facturado una vez",
    descriptionP1: "se le cobrar\u00e1",
    descriptionP2:
      "por mes a menos que se cancele. Esta suscripci\u00f3n es autorenovable",
    descriptionP3:
      "cada 6 meses a menos que canceles. Esta suscripci\u00f3n se renovar\u00e1 autom\u00e1ticamente cada 6 meses.",
    Unlock: "desbloquear",
    pro: "Pro",
    for: "para",
    per: "por",
    Save: "Ahorrar",
    Terms: "T\u00e9rminos",
    "Privacy Policy": "pol\u00edtica de privacidad",
  },
  nl: {
    "Unlock All Features with Pro": "Ontgrendel alle functies met Pro",
    "Billed Once": "Eenmaal gefactureerd",
    descriptionP1: "Er worden kosten in rekening gebracht",
    descriptionP2:
      "per maand, tenzij opgezegd. Dit abonnement is automatisch verlengbaar",
    descriptionP3:
      "elke 6 maanden tenzij u opzegt. Dit abonnement wordt elke 6 maanden automatisch verlengd",
    Unlock: "Ontgrendelen",
    pro: "pro",
    for: "voor",
    per: "per",
    Save: "Redden",
    Terms: "Voorwaarden",
    "Privacy Policy": "Privacybeleid",
  },
  vi: {
    "Unlock All Features with Pro":
      "M\u1edf kh\u00f3a t\u1ea5t c\u1ea3 c\u00e1c t\u00ednh n\u0103ng v\u1edbi Pro",
    "Billed Once": "Thanh to\u00e1n m\u1ed9t l\u1ea7n",
    descriptionP1: "B\u1ea1n s\u1ebd b\u1ecb t\u00ednh ph\u00ed",
    descriptionP2:
      "m\u1ed7i th\u00e1ng tr\u1eeb khi b\u1ecb h\u1ee7y b\u1ecf. \u0110\u0103ng k\u00fd n\u00e0y c\u00f3 th\u1ec3 t\u1ef1 \u0111\u1ed9ng gia h\u1ea1n",
    descriptionP3:
      "c\u1ee9 sau 6 th\u00e1ng tr\u1eeb khi b\u1ea1n h\u1ee7y b\u1ecf. \u0110\u0103ng k\u00fd n\u00e0y s\u1ebd t\u1ef1 \u0111\u1ed9ng gia h\u1ea1n 6 th\u00e1ng m\u1ed9t l\u1ea7n",
    Unlock: "M\u1edf kh\u00f3a",
    pro: "chuy\u00ean nghi\u1ec7p",
    for: "v\u00ec",
    per: "m\u1ed7i",
    Save: "C\u1ee9u",
    Terms: "\u0110i\u1ec1u ki\u1ec7n",
    "Privacy Policy": "Ch\u00ednh s\u00e1ch b\u1ea3o m\u1eadt",
  },
  de: {
    "Unlock All Features with Pro": "Schalten Sie alle Funktionen mit Pro frei",
    "Billed Once": "Einmal in Rechnung gestellt",
    descriptionP1: "Ihnen wird eine Geb\u00fchr berechnet",
    descriptionP2:
      "pro Monat, sofern nicht gek\u00fcndigt. Dieses Abonnement ist automatisch erneuerbar",
    descriptionP3:
      "alle 6 Monate, sofern Sie nicht k\u00fcndigen. Dieses Abonnement verl\u00e4ngert sich automatisch alle 6 Monate",
    Unlock: "Freischalten",
    pro: "Profi",
    for: "f\u00fcr",
    per: "pro",
    Save: "Speichern",
    Terms: "Bedingungen",
    "Privacy Policy": "Datenschutzrichtlinie",
  },
  hu: {
    "Unlock All Features with Pro":
      "Oldja fel az \u00f6sszes funkci\u00f3t a Pro seg\u00edts\u00e9g\u00e9vel",
    "Billed Once": "Egyszer sz\u00e1ml\u00e1zva",
    descriptionP1: "Meg kell fizetni",
    descriptionP2:
      "havonta, hacsak le nem mondj\u00e1k. Ez az el\u0151fizet\u00e9s automatikusan meg\u00faj\u00edthat\u00f3",
    descriptionP3:
      "6 havonta, hacsak nem mondja le. Ez az el\u0151fizet\u00e9s 6 havonta automatikusan meg\u00fajul",
    Unlock: "Kinyit",
    pro: "pro",
    for: "sz\u00e1m\u00e1ra",
    per: "per",
    Save: "Megment",
    Terms: "Felt\u00e9telek",
    "Privacy Policy": "Adatv\u00e9delmi ir\u00e1nyelvek",
  },
  "zh-CN": {
    "Unlock All Features with Pro":
      "\u4f7f\u7528 Pro \u89e3\u9501\u6240\u6709\u529f\u80fd",
    "Billed Once": "\u8ba1\u8d39\u4e00\u6b21",
    descriptionP1: "\u60a8\u5c06\u88ab\u6536\u53d6\u8d39\u7528",
    descriptionP2:
      "\u6bcf\u6708\u9664\u975e\u53d6\u6d88\u3002\u6b64\u8ba2\u9605\u53ef\u81ea\u52a8\u7eed\u8ba2",
    descriptionP3:
      "\u6bcf 6 \u4e2a\u6708\u4e00\u6b21\uff0c\u9664\u975e\u60a8\u53d6\u6d88\u3002\u6b64\u8ba2\u9605\u5c06\u6bcf 6 \u4e2a\u6708\u81ea\u52a8\u7eed\u8ba2\u4e00\u6b21",
    Unlock: "\u5f00\u9501",
    pro: "\u4eb2",
    for: "\u4e3a\u4e86",
    per: "\u6bcf",
    Save: "\u8282\u7701",
    Terms: "\u6761\u6b3e",
    "Privacy Policy": "\u9690\u79c1\u653f\u7b56",
  },
  it: {
    "Unlock All Features with Pro":
      "Sblocca tutte le funzionalit\u00e0 con Pro",
    "Billed Once": "Fatturato una volta",
    descriptionP1: "Ti verr\u00e0 addebitato un importo",
    descriptionP2:
      "al mese salvo disdetta. Questo abbonamento \u00e8 rinnovabile automaticamente",
    descriptionP3:
      "ogni 6 mesi salvo annullamento. Questo abbonamento si rinnover\u00e0 automaticamente ogni 6 mesi",
    Unlock: "Sbloccare",
    pro: "pro",
    for: "per",
    per: "per",
    Save: "Salva",
    Terms: "Termini",
    "Privacy Policy": "politica sulla riservatezza",
  },
  sv: {
    "Unlock All Features with Pro": "L\u00e5s upp alla funktioner med Pro",
    "Billed Once": "Fakturerad en g\u00e5ng",
    descriptionP1: "Du kommer att debiteras",
    descriptionP2:
      "per m\u00e5nad om inte avbokning. Denna prenumeration kan f\u00f6rnyas automatiskt",
    descriptionP3:
      "var 6:e \u200b\u200bm\u00e5nad om du inte avbokar. Denna prenumeration f\u00f6rnyas automatiskt var sj\u00e4tte m\u00e5nad",
    Unlock: "L\u00e5sa upp",
    pro: "proffs",
    for: "f\u00f6r",
    per: "per",
    Save: "Spara",
    Terms: "Villkor",
    "Privacy Policy": "Integritetspolicy",
  },
  th: {
    "Unlock All Features with Pro":
      "\u0e1b\u0e25\u0e14\u0e25\u0e47\u0e2d\u0e01\u0e04\u0e38\u0e13\u0e2a\u0e21\u0e1a\u0e31\u0e15\u0e34\u0e17\u0e31\u0e49\u0e07\u0e2b\u0e21\u0e14\u0e14\u0e49\u0e27\u0e22 Pro",
    "Billed Once":
      "\u0e40\u0e23\u0e35\u0e22\u0e01\u0e40\u0e01\u0e47\u0e1a\u0e40\u0e07\u0e34\u0e19\u0e04\u0e23\u0e31\u0e49\u0e07\u0e40\u0e14\u0e35\u0e22\u0e27",
    descriptionP1:
      "\u0e04\u0e38\u0e13\u0e08\u0e30\u0e16\u0e39\u0e01\u0e40\u0e23\u0e35\u0e22\u0e01\u0e40\u0e01\u0e47\u0e1a\u0e40\u0e07\u0e34\u0e19",
    descriptionP2:
      "\u0e15\u0e48\u0e2d\u0e40\u0e14\u0e37\u0e2d\u0e19\u0e40\u0e27\u0e49\u0e19\u0e41\u0e15\u0e48\u0e08\u0e30\u0e22\u0e01\u0e40\u0e25\u0e34\u0e01 \u0e01\u0e32\u0e23\u0e2a\u0e21\u0e31\u0e04\u0e23\u0e2a\u0e21\u0e32\u0e0a\u0e34\u0e01\u0e19\u0e35\u0e49\u0e2a\u0e32\u0e21\u0e32\u0e23\u0e16\u0e15\u0e48\u0e2d\u0e2d\u0e32\u0e22\u0e38\u0e2d\u0e31\u0e15\u0e42\u0e19\u0e21\u0e31\u0e15\u0e34\u0e44\u0e14\u0e49",
    descriptionP3:
      "\u0e17\u0e38\u0e01 6 \u0e40\u0e14\u0e37\u0e2d\u0e19 \u0e40\u0e27\u0e49\u0e19\u0e41\u0e15\u0e48\u0e04\u0e38\u0e13\u0e08\u0e30\u0e22\u0e01\u0e40\u0e25\u0e34\u0e01 \u0e01\u0e32\u0e23\u0e2a\u0e21\u0e31\u0e04\u0e23\u0e2a\u0e21\u0e32\u0e0a\u0e34\u0e01\u0e19\u0e35\u0e49\u0e08\u0e30\u0e15\u0e48\u0e2d\u0e2d\u0e32\u0e22\u0e38\u0e42\u0e14\u0e22\u0e2d\u0e31\u0e15\u0e42\u0e19\u0e21\u0e31\u0e15\u0e34\u0e17\u0e38\u0e01 6 \u0e40\u0e14\u0e37\u0e2d\u0e19",
    Unlock: "\u0e1b\u0e25\u0e14\u0e25\u0e47\u0e2d\u0e04",
    pro: "\u0e21\u0e37\u0e2d\u0e42\u0e1b\u0e23",
    for: "\u0e2a\u0e33\u0e2b\u0e23\u0e31\u0e1a",
    per: "\u0e15\u0e48\u0e2d",
    Save: "\u0e1a\u0e31\u0e19\u0e17\u0e36\u0e01",
    Terms: "\u0e40\u0e07\u0e37\u0e48\u0e2d\u0e19\u0e44\u0e02",
    "Privacy Policy":
      "\u0e19\u0e42\u0e22\u0e1a\u0e32\u0e22\u0e04\u0e27\u0e32\u0e21\u0e40\u0e1b\u0e47\u0e19\u0e2a\u0e48\u0e27\u0e19\u0e15\u0e31\u0e27",
  },
  id: {
    "Unlock All Features with Pro": "Buka Kunci Semua Fitur dengan Pro",
    "Billed Once": "Ditagih Sekali",
    descriptionP1: "Anda akan dikenakan biaya",
    descriptionP2:
      "per bulan kecuali dibatalkan. Langganan ini Dapat Diperpanjang Secara Otomatis",
    descriptionP3:
      "setiap 6 bulan kecuali Anda membatalkan. Langganan ini akan diperpanjang secara otomatis setiap 6 bulan",
    Unlock: "Membuka kunci",
    pro: "pro",
    for: "untuk",
    per: "per",
    Save: "Menyimpan",
    Terms: "Ketentuan",
    "Privacy Policy": "Kebijakan pribadi",
  },
  hi: {
    "Unlock All Features with Pro":
      "\u092a\u094d\u0930\u094b \u0915\u0947 \u0938\u093e\u0925 \u0938\u092d\u0940 \u0938\u0941\u0935\u093f\u0927\u093e\u090f\u0901 \u0905\u0928\u0932\u0949\u0915 \u0915\u0930\u0947\u0902",
    "Billed Once":
      "\u090f\u0915 \u092c\u093e\u0930 \u092c\u093f\u0932 \u0915\u093f\u092f\u093e \u0917\u092f\u093e",
    descriptionP1:
      "\u0906\u092a\u0938\u0947 \u0936\u0941\u0932\u094d\u0915 \u0932\u093f\u092f\u093e \u091c\u093e\u090f\u0917\u093e",
    descriptionP2:
      "\u092a\u094d\u0930\u0924\u093f \u092e\u093e\u0939 \u091c\u092c \u0924\u0915 \u0930\u0926\u094d\u0926 \u0928 \u0915\u093f\u092f\u093e \u091c\u093e\u090f\u0964 \u092f\u0939 \u0938\u0926\u0938\u094d\u092f\u0924\u093e \u0938\u094d\u0935\u0924\u0903-\u0928\u0935\u0940\u0915\u0930\u0923\u0940\u092f \u0939\u0948",
    descriptionP3:
      "\u091c\u092c \u0924\u0915 \u0906\u092a \u0930\u0926\u094d\u0926 \u0928 \u0915\u0930\u0947\u0902, \u0939\u0930 6 \u092e\u0939\u0940\u0928\u0947 \u092e\u0947\u0902\u0964 \u092f\u0939 \u0938\u0926\u0938\u094d\u092f\u0924\u093e \u0939\u0930 6 \u092e\u0939\u0940\u0928\u0947 \u092e\u0947\u0902 \u0938\u094d\u0935\u091a\u093e\u0932\u093f\u0924 \u0930\u0942\u092a \u0938\u0947 \u0928\u0935\u0940\u0928\u0940\u0915\u0943\u0924 \u0939\u094b \u091c\u093e\u090f\u0917\u0940",
    Unlock: "\u0905\u0928\u0932\u0949\u0915",
    pro: "\u0938\u092e\u0930\u094d\u0925\u0915",
    for: "\u0915\u0947 \u0932\u093f\u090f",
    per: "\u092a\u094d\u0930\u0924\u093f",
    Save: "\u092c\u091a\u093e\u0928\u093e",
    Terms: "\u0936\u0930\u094d\u0924\u0947\u0902",
    "Privacy Policy":
      "\u0917\u094b\u092a\u0928\u0940\u092f\u0924\u093e \u0928\u0940\u0924\u093f",
  },
  tr: {
    "Unlock All Features with Pro":
      "Pro ile T\u00fcm \u00d6zelliklerin Kilidini A\u00e7\u0131n",
    "Billed Once": "Bir Kez Faturaland\u0131r\u0131ld\u0131",
    descriptionP1: "Sizden \u00fccret al\u0131nacak",
    descriptionP2:
      "iptal edilmedi\u011fi s\u00fcrece ayl\u0131k. Bu abonelik Otomatik Yenilenebilir",
    descriptionP3:
      "iptal etmedi\u011finiz s\u00fcrece her 6 ayda bir. Bu abonelik her 6 ayda bir otomatik olarak yenilenecektir",
    Unlock: "Kilidini a\u00e7",
    pro: "profesyonel",
    for: "i\u00e7in",
    per: "ba\u015f\u0131na",
    Save: "Kaydetmek",
    Terms: "\u015eartlar",
    "Privacy Policy": "Gizlilik Politikas\u0131",
  },
  ja: {
    "Unlock All Features with Pro":
      "Pro \u3067\u3059\u3079\u3066\u306e\u6a5f\u80fd\u3092\u30ed\u30c3\u30af\u89e3\u9664\u3059\u308b",
    "Billed Once": "1 \u56de\u8acb\u6c42",
    descriptionP1: "\u8acb\u6c42\u3055\u308c\u307e\u3059",
    descriptionP2:
      "\u30ad\u30e3\u30f3\u30bb\u30eb\u3057\u306a\u3044\u9650\u308a\u6bce\u6708\u3002\u3053\u306e\u30b5\u30d6\u30b9\u30af\u30ea\u30d7\u30b7\u30e7\u30f3\u306f\u81ea\u52d5\u66f4\u65b0\u53ef\u80fd\u3067\u3059",
    descriptionP3:
      "\u30ad\u30e3\u30f3\u30bb\u30eb\u3057\u306a\u3044\u9650\u308a6\u304b\u6708\u3054\u3068\u3002\u3053\u306e\u30b5\u30d6\u30b9\u30af\u30ea\u30d7\u30b7\u30e7\u30f3\u306f 6 \u304b\u6708\u3054\u3068\u306b\u81ea\u52d5\u7684\u306b\u66f4\u65b0\u3055\u308c\u307e\u3059",
    Unlock: "\u30ed\u30c3\u30af\u3092\u89e3\u9664\u3059\u308b",
    pro: "\u30d7\u30ed",
    for: "\u306e\u305f\u3081\u306b",
    per: "\u3042\u305f\u308a",
    Save: "\u4fdd\u5b58",
    Terms: "\u6761\u9805",
    "Privacy Policy":
      "\u30d7\u30e9\u30a4\u30d0\u30b7\u30fc\u30dd\u30ea\u30b7\u30fc",
  },
  ro: {
    "Unlock All Features with Pro":
      "Debloca\u021bi toate func\u021biile cu Pro",
    "Billed Once": "Facturat O dat\u0103",
    descriptionP1: "Vei fi taxat",
    descriptionP2:
      "pe lun\u0103, dac\u0103 nu este anulat. Acest abonament poate fi re\u00eennoit automat",
    descriptionP3:
      "la fiecare 6 luni, cu excep\u021bia cazului \u00een care anula\u021bi. Acest abonament se va re\u00eennoi automat la fiecare 6 luni",
    Unlock: "Debloca\u021bi",
    pro: "pro",
    for: "pentru",
    per: "pe",
    Save: "Salva\u021bi",
    Terms: "Termeni",
    "Privacy Policy": "Politica de confiden\u021bialitate",
  },
  ru: {
    "Unlock All Features with Pro":
      "\u0420\u0430\u0437\u0431\u043b\u043e\u043a\u0438\u0440\u0443\u0439\u0442\u0435 \u0432\u0441\u0435 \u0444\u0443\u043d\u043a\u0446\u0438\u0438 \u0441 Pro",
    "Billed Once":
      "\u041e\u043f\u043b\u0430\u0442\u0430 \u043e\u0434\u0438\u043d \u0440\u0430\u0437",
    descriptionP1:
      "\u0441 \u0432\u0430\u0441 \u0431\u0443\u0434\u0435\u0442 \u0432\u0437\u0438\u043c\u0430\u0442\u044c\u0441\u044f \u043f\u043b\u0430\u0442\u0430",
    descriptionP2:
      "\u0432 \u043c\u0435\u0441\u044f\u0446, \u0435\u0441\u043b\u0438 \u043d\u0435 \u043e\u0442\u043c\u0435\u043d\u0438\u0442\u044c. \u042d\u0442\u0430 \u043f\u043e\u0434\u043f\u0438\u0441\u043a\u0430 \u044f\u0432\u043b\u044f\u0435\u0442\u0441\u044f \u0430\u0432\u0442\u043e\u043c\u0430\u0442\u0438\u0447\u0435\u0441\u043a\u0438 \u0432\u043e\u0437\u043e\u0431\u043d\u043e\u0432\u043b\u044f\u0435\u043c\u043e\u0439",
    descriptionP3:
      "\u043a\u0430\u0436\u0434\u044b\u0435 6 \u043c\u0435\u0441\u044f\u0446\u0435\u0432, \u0435\u0441\u043b\u0438 \u0432\u044b \u043d\u0435 \u043e\u0442\u043c\u0435\u043d\u0438\u0442\u0435 \u043f\u043e\u0434\u043f\u0438\u0441\u043a\u0443. \u042d\u0442\u0430 \u043f\u043e\u0434\u043f\u0438\u0441\u043a\u0430 \u0431\u0443\u0434\u0435\u0442 \u0430\u0432\u0442\u043e\u043c\u0430\u0442\u0438\u0447\u0435\u0441\u043a\u0438 \u043f\u0440\u043e\u0434\u043b\u0435\u0432\u0430\u0442\u044c\u0441\u044f \u043a\u0430\u0436\u0434\u044b\u0435 6 \u043c\u0435\u0441\u044f\u0446\u0435\u0432.",
    Unlock:
      "\u0420\u0430\u0437\u0431\u043b\u043e\u043a\u0438\u0440\u043e\u0432\u0430\u0442\u044c",
    pro: "\u043f\u0440\u043e",
    for: "\u0434\u043b\u044f",
    per: "\u0437\u0430",
    Save: "\u0421\u043e\u0445\u0440\u0430\u043d\u044f\u0442\u044c",
    Terms: "\u0423\u0441\u043b\u043e\u0432\u0438\u044f",
    "Privacy Policy":
      "\u043f\u043e\u043b\u0438\u0442\u0438\u043a\u0430 \u043a\u043e\u043d\u0444\u0438\u0434\u0435\u043d\u0446\u0438\u0430\u043b\u044c\u043d\u043e\u0441\u0442\u0438",
  },
  fa: {
    "Unlock All Features with Pro":
      "\u0642\u0641\u0644 \u062a\u0645\u0627\u0645 \u0648\u06cc\u0698\u06af\u06cc \u0647\u0627 \u0631\u0627 \u0628\u0627 Pro \u0628\u0627\u0632 \u06a9\u0646\u06cc\u062f",
    "Billed Once":
      "\u06cc\u06a9 \u0628\u0627\u0631 \u0635\u0648\u0631\u062a\u062d\u0633\u0627\u0628 \u0634\u062f",
    descriptionP1:
      "\u0627\u0632 \u0634\u0645\u0627 \u0634\u0627\u0631\u0698 \u0645\u06cc \u0634\u0648\u062f",
    descriptionP2:
      "\u062f\u0631 \u0647\u0631 \u0645\u0627\u0647 \u0645\u06af\u0631 \u0627\u06cc\u0646\u06a9\u0647 \u0644\u063a\u0648 \u0634\u0648\u062f. \u0627\u06cc\u0646 \u0627\u0634\u062a\u0631\u0627\u06a9 \u0642\u0627\u0628\u0644 \u062a\u0645\u062f\u06cc\u062f \u062e\u0648\u062f\u06a9\u0627\u0631 \u0627\u0633\u062a",
    descriptionP3:
      "\u0647\u0631 6 \u0645\u0627\u0647 \u06cc\u06a9\u0628\u0627\u0631 \u0645\u06af\u0631 \u0627\u06cc\u0646\u06a9\u0647 \u06a9\u0646\u0633\u0644 \u06a9\u0646\u06cc\u062f. \u0627\u06cc\u0646 \u0627\u0634\u062a\u0631\u0627\u06a9 \u0647\u0631 6 \u0645\u0627\u0647 \u0628\u0647 \u0637\u0648\u0631 \u062e\u0648\u062f\u06a9\u0627\u0631 \u062a\u0645\u062f\u06cc\u062f \u0645\u06cc \u0634\u0648\u062f",
    Unlock: "\u0628\u0627\u0632 \u06a9\u0631\u062f\u0646 \u0642\u0641\u0644",
    pro: "\u062d\u0631\u0641\u0647 \u0627\u06cc",
    for: "\u0628\u0631\u0627\u06cc",
    per: "\u0645\u0637\u0627\u0628\u0642",
    Save: "\u0635\u0631\u0641\u0647 \u062c\u0648\u06cc\u06cc",
    Terms: "\u0645\u0642\u0631\u0631\u0627\u062a",
    "Privacy Policy":
      "\u0633\u06cc\u0627\u0633\u062a \u062d\u0641\u0638 \u062d\u0631\u06cc\u0645 \u062e\u0635\u0648\u0635\u06cc",
  },
  iw: {
    "Unlock All Features with Pro":
      "\u05d1\u05d8\u05dc \u05d0\u05ea \u05d4\u05e0\u05e2\u05d9\u05dc\u05d4 \u05e9\u05dc \u05db\u05dc \u05d4\u05ea\u05db\u05d5\u05e0\u05d5\u05ea \u05e2\u05dd Pro",
    "Billed Once":
      "\u05de\u05d7\u05d5\u05d9\u05d1 \u05e4\u05e2\u05dd \u05d0\u05d7\u05ea",
    descriptionP1: "\u05ea\u05d7\u05d5\u05d9\u05d1",
    descriptionP2:
      "\u05dc\u05d7\u05d5\u05d3\u05e9 \u05d0\u05dc\u05d0 \u05d0\u05dd \u05d9\u05d1\u05d5\u05d8\u05dc. \u05de\u05e0\u05d5\u05d9 \u05d6\u05d4 \u05e0\u05d9\u05ea\u05df \u05dc\u05d7\u05d9\u05d3\u05d5\u05e9 \u05d0\u05d5\u05d8\u05d5\u05de\u05d8\u05d9",
    descriptionP3:
      "\u05db\u05dc 6 \u05d7\u05d5\u05d3\u05e9\u05d9\u05dd \u05d0\u05dc\u05d0 \u05d0\u05dd \u05ea\u05d1\u05d8\u05dc. \u05de\u05e0\u05d5\u05d9 \u05d6\u05d4 \u05d9\u05ea\u05d7\u05d3\u05e9 \u05d0\u05d5\u05d8\u05d5\u05de\u05d8\u05d9\u05ea \u05db\u05dc 6 \u05d7\u05d5\u05d3\u05e9\u05d9\u05dd",
    Unlock: "\u05dc\u05d1\u05d8\u05dc \u05e0\u05e2\u05d9\u05dc\u05d4",
    pro: "\u05de\u05b4\u05e7\u05e6\u05d5\u05b9\u05e2\u05b8\u05df",
    for: "\u05dc",
    per: "\u05dc\u05b0\u05db\u05b8\u05dc",
    Save: "\u05dc\u05d4\u05e6\u05d9\u05dc",
    Terms: "\u05ea\u05e0\u05d0\u05d9\u05dd",
    "Privacy Policy":
      "\u05de\u05d3\u05d9\u05e0\u05d9\u05d5\u05ea \u05d4\u05e4\u05e8\u05d8\u05d9\u05d5\u05ea",
  },
  ko: {
    "Unlock All Features with Pro":
      "Pro\ub85c \ubaa8\ub4e0 \uae30\ub2a5 \uc7a0\uae08 \ud574\uc81c",
    "Billed Once": "\ud55c \ubc88 \uccad\uad6c\ub428",
    descriptionP1: "\uc694\uae08\uc774 \uccad\uad6c\ub429\ub2c8\ub2e4.",
    descriptionP2:
      "\ucde8\uc18c\ud558\uc9c0 \uc54a\ub294 \ud55c \ub9e4\uc6d4. \uc774 \uad6c\ub3c5\uc740 \uc790\ub3d9 \uac31\uc2e0 \uac00\ub2a5\ud569\ub2c8\ub2e4.",
    descriptionP3:
      "\ucde8\uc18c\ud558\uc9c0 \uc54a\ub294 \ud55c 6\uac1c\uc6d4\ub9c8\ub2e4. \uc774 \uad6c\ub3c5\uc740 6\uac1c\uc6d4\ub9c8\ub2e4 \uc790\ub3d9\uc73c\ub85c \uac31\uc2e0\ub429\ub2c8\ub2e4.",
    Unlock: "\ud130\ub193\ub2e4",
    pro: "\ucc2c\uc131",
    for: "~\uc744 \uc704\ud55c",
    per: "\ub2f9",
    Save: "\uad6c\ud558\ub2e4",
    Terms: "\uc790\uadc0",
    "Privacy Policy": "\uac1c\uc778 \uc815\ubcf4 \uc815\ucc45",
  },
  cs: {
    "Unlock All Features with Pro": "Odemkn\u011bte v\u0161echny funkce s Pro",
    "Billed Once": "\u00da\u010dtov\u00e1no jednou",
    descriptionP1: "Bude v\u00e1m \u00fa\u010dtov\u00e1no",
    descriptionP2:
      "za m\u011bs\u00edc, pokud nebude zru\u0161en. Toto p\u0159edplatn\u00e9 je automaticky obnoviteln\u00e9",
    descriptionP3:
      "ka\u017ed\u00fdch 6 m\u011bs\u00edc\u016f, pokud nezru\u0161\u00edte. Toto p\u0159edplatn\u00e9 se automaticky obnov\u00ed ka\u017ed\u00fdch 6 m\u011bs\u00edc\u016f",
    Unlock: "Odemknout",
    pro: "pro",
    for: "pro",
    per: "za",
    Save: "Ulo\u017eit",
    Terms: "Podm\u00ednky",
    "Privacy Policy": "Z\u00e1sady ochrany osobn\u00edch \u00fadaj\u016f",
  },
};
